Package de.willuhn.jameica.hbci.rmi

# Interface Nachricht

All Superinterfaces:
  `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.GenericObject`, `HibiscusDBObject`, `Remote`, `de.willuhn.datasource.rmi.Transactionable`

All Known Implementing Classes:
  `NachrichtImpl`

public interface Nachricht extends HibiscusDBObject
Interface fuer eine System-Nachricht der Bank.

## Method Summary

Modifier and Type
Method
Description
`String`
`getBLZ()`
Liefert die BLZ dieser Nachricht.
`Date`
`getDatum()`
Liefert das Datum der Nachricht.
`String`
`getNachricht()`
Liefert den Nachrichtentext.
`boolean`
`isGelesen()`
Prueft, ob die Nachricht bereits gelesen wurde.
`void`
`setBLZ(String blz)`
Speichert die BLZ.
`void`
`setDatum(Date datum)`
Speichert das Datum.
`void`
`setGelesen(boolean b)`
Markiert die Nachricht als gelesen/ungelesen.
`void`
`setNachricht(String nachricht)`
Speichert den Nachrichtentext.

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Method Details

### getBLZ

String getBLZ() throws RemoteException
Liefert die BLZ dieser Nachricht.

Returns:
  BLZ
Throws:
  `RemoteException`

### getDatum

Date getDatum() throws RemoteException
Liefert das Datum der Nachricht.

Returns:
  Datum
Throws:
  `RemoteException`

### isGelesen

boolean isGelesen() throws RemoteException
Prueft, ob die Nachricht bereits gelesen wurde.

Returns:
  true, wenn sie gelesen wurde.
Throws:
  `RemoteException`

### getNachricht

String getNachricht() throws RemoteException
Liefert den Nachrichtentext.

Returns:
  Nachrichtentext.
Throws:
  `RemoteException`

### setBLZ

void setBLZ(String blz) throws RemoteException
Speichert die BLZ.

Parameters:
  `blz` -
Throws:
  `RemoteException`

### setDatum

void setDatum(Date datum) throws RemoteException
Speichert das Datum.

Parameters:
  `datum` -
Throws:
  `RemoteException`

### setGelesen

void setGelesen(boolean b) throws RemoteException
Markiert die Nachricht als gelesen/ungelesen.

Parameters:
  `b` -
Throws:
  `RemoteException`

### setNachricht

void setNachricht(String nachricht) throws RemoteException
Speichert den Nachrichtentext.

Parameters:
  `nachricht` -
Throws:
  `RemoteException`